export declare type Props = {
    [key: string]: any;
};
export declare type Moulinette = (props: Props) => Props | void;
export declare type Builder<T> = (moulinette: Moulinette) => T;
export declare type Extension<E> = (system: E) => void;
export declare type Declaration = Props | Moulinette;
export interface Declarations extends Array<Declaration | Declarations> {
}
export interface System {
    compute: Moulinette;
    with(...declarations: Declarations): this;
    extend<E extends this>(extension: Extension<E>): E;
}
